<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>divs desplazamiento opuesto</title>
	<style type="text/css" media="screen">
		.container{
			
			display: flex;
			justify-content: center;
		}
		.rojo{
			background-color: red;
			height: 100px;
			width:100px;
			animation: rotaro 2s ease-in-out infinite alternate;
		}
		.azul{
			background-color: blue;
			height: 100px;
			width: 100px;
			animation: rotaz 2s ease-in-out infinite alternate;
		}
		.amarillo{
			background-color: yellow;
			height: 100px;
			width: 100px;
			animation: rotam 2s ease-in-out infinite alternate;
		}
		.verde{
			background-color: green;
			height: 100px;
			width: 100px;
			animation: rotave 2s ease-in-out infinite alternate;
		}
		p{
			position: absolute;
			top:9%;
			left: 50%;
			z-index:-1;
		}
		@keyframes rotaro{
			from{
				
			}
			to{
				transform: translate(-100px) rotate(90deg);
			}
		}
		@keyframes rotam{
			from{

			}
			to{
				transform: translate(100px) rotate(-90deg);
			}
		}
		@keyframes rotaz{
			from{

			}
			to{
				transform: translate(-100px) rotate(-90deg);
			}
		}
		@keyframes rotave{
			from{

			}
			to{
				transform: translate(100px) rotate(90deg);
			}
		}
	</style>
</head>
<body>
	<div class="container">
		<p>Hi!</p>
		<div class="izquierdo">
			<div class="rojo"></div>
			<div class="azul"></div>
		</div>
		<div class="derecho">
			<div class="amarillo"></div>
			<div class="verde"></div>
		</div>
	</div>
</body>
</html>